Subject: Re: [Bitcoin-development] The insecurity of merge-mining

From: Peter Todd <[email-masked]>
Date: Fri, 3 Jan 2014 16:01:39 -0500

On Fri, Jan 03, 2014 at 08:14:25PM +0100, Jorge Timón wrote:
> > You assume the value of a crypto-currency is equal to all miners, it's
> > not.
> 
> They should be able to sell the reward at similar prices in the market.
> Attackers are losing the opportunity cost of mining the currency by
> attacking it, just like with Bitcoin.

As I showed with my zerocoin example, often that is not the case, e.g. I
do not support anonymity, or *can't* support it because of the local
laws.

Or for that matter, really boring examples like there's two competing
implementations of some basic idea and we'd rather the winner be picked
on technical merits rather than "I have a grudge and a small pool so
I'll this upstart at birth"

> > Suppose I create a merge-mined Zerocoin implementation with a 1:1
> > BTC/ZTC exchange rate enforced by the software. You can't argue this is
> > a scamcoin; no-one is getting rich. There's a 1:1 exchange rate so the
> > only thing you can do with the coin is get some privacy.
> 
> The idea of sacrificing something external and make bitcoins appear
> still sounds crazy to me.
> I don't see how this pegging contributes in anything to a technical
> argument against merged mining, just looks like a moral argument
> against altcoin in general.

It's a thought experiment; read my original post on how to make a
zerocoin alt-chain and it might make more sense:

http://www.mail-archive.com/[email-masked]/msg02472.html

Even better might be to use a merge-mined version of Mastercoin as an
example, where the initial distribution of coins is fixed at genesis and
forward from that is independent of the Bitcoin blockchain.

> > But inevitably
> > some miners won't agree that enabling better privacy is a good thing, or
> > their local governments won't. Either way, they can attack the Zerocoin
> > merge-mined chain with a marginal cost of nearly zero.
> 
> Ok, so either we assume that the external-pegging hardfork wasn't a
> consensus or we just forget about the pegging and go back to talk
> about merged mining in general.
> Your argument is still "for some reason some miners don't like the MM
> altcoin and prefer to attack it than to be profitable miners".
> 
> If I mine BTC + NMC and you only mine BTC, it will be harder for you
> to compete against me: I can afford higher costs than you for the same
> BTC reward, since I'm also getting NMC.
> 
> What you're saying is that Litecoin is more secure than Namecoin
> because while Litecoin can only be attacked by external attackers and
> current miners of other scrypt coins, Namecoin can also be attacked
> the Bitcoin miners that aren't currently mining Namecoin.
> This doesn't sound very reasonable to me.
> I think Namecoin is more secure than Litecoin and new coins should be
> created with SHA256 and merged mining in mind. At least merged mine
> with Litecoin if the still believe scrypt is so "anti-ASIC" and
> "centralization-resistant" (in fact Litecoin is more centralized than
> bitcoin with their shorter block intervals since better connections
> are favored, but that's another story).
> 
> Merged mining is not only about not competing for proof of work like
> Satoshi defended.
> It is also about wasting resources: the more mining subsidies to
> different chains, the more wasted resources.
> By criticizing merged mining you're also indirectly legitimizing the
> same scamcoin madness you criticize.
> If you don't plan to merge mine, having SHA256 doesn't make sense
> because that makes you more fragile to potential bitcoin miners
> attacks and chainhopers.
> I don't think we would have this many alts living right now if all
> proof of work was SHA256.
> 
> So if the "anti-asic PoW" myth and the absurd emerging morals of
> "GPU-mining as an universal right" weren't enough, you want to add an
> equally false "merged mining is insecure" to the collection of
> arguments supporting the search of the more absurd possible PoW holy
> grail.
> 
> Please try to prove that MM is insecure and I'll try to prove your
> wrong. But we don't need zerocoin or an artificial pegging to discuss
> about this.
> 
> I think Namecoin has a lower reward for miners than litecoin and still
> has much better security. I haven't run the numbers but, will you deny
> it?
> How many amazon VMs do you need to attack each one of them?

I'll give you a hint: "marginal cost"

You're rant has rather little to do with my argument.

-- 
'peter'[:-1]@petertodd.org
0000000000000003065f32da26de1deda93eb722bf1dc4a1b787e7d68d282dbc